/*----------------------------------------------------------------*/
/* FVT_W525.CMD - Run FVT Testcases with 5.25" Diskette drive A:  */
/*                                                                */
/*    Parameters: NONE                                            */
/*                                                                */
/*    Uses OS2 environment variables to determine testcase drive. */
/*----------------------------------------------------------------*/
'@echo off'
'cls'
say ''
arg parm comments
release = 0

if left(parm,1) = '?' then signal INFO_PLEASE
if pos(parm,'rR')  = 0 then do
   release = parm;
   end


if (release = 0) then do
   rellvl  = value('PCM_RELLVL',,'OS2ENVIRONMENT');
   release = 'R'||rellvl
   end

os2drv = value('PCM_BOOTDRV',,'OS2ENVIRONMENT');
tstdrv = value('PCM_TESTDRV',,'OS2ENVIRONMENT');

if pos(os2drv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_BOOTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end
if pos(tstdrv,'CDEFGHIJKLMNOPQRSTUVWXYZ') = 0 then do
   say '[1;09;41m ***************************************************************[0;40;37m'
   say '[1;09;41m * OS2 environment variable PCM_TESTDRV not set.  Run PCMSETUP *[0;40;37m'
   say '[1;09;41m * to update config.sys, then shutdown & reboot to continue.   *[0;40;37m'
   say '[1;09;41m ***************************************************************[0;40;37m'
   exit
   end


rc = RXFUNCADD('SysSleep', 'RexxUtil', 'SysSleep')

tstdrv':'
if stream(tstdrv':\logf','c','query size') >= 0 then do
   say 'LOGF directory found'
   end
else
   do
   say 'making LOGF directory'
   'mkdir 'tstdrv':\logf'
   end


'cd \logf'

'switch -l5 -v5 -o -u'tstdrv':\script\fvtw525.scr -fSWITCH5F'

'call 'tstdrv':\cmd\fvtdisk.cmd'

'cd \printdd'
'call 'tstdrv':\PRINTDD\PRINT1.CMD'
call SysSleep 15;
'call 'tstdrv':\PRINTDD\PRINT1.BAT'


call SysSleep 15;
'cd \logf'
'call fvt_summ 5 Q 'release
'cls'
say ''
'type FVTSECT2.SUM'
say ''
say '********** Finished running FVT Section 2 Testcases ***********'
rc = RXFUNCDROP('SysSleep')
exit


PATHPROB:
  say '[1;09;41mͻ'
  say ' *** CONFIG.SYS IS NOT SETUP CORRECTLY FOR TESTCASE EXECUTION *** '
  say '                                                                  '
  say ' You will need to run PCMSETUP (if CDROM testkit install), or     '
  say ' run the SETUP diskette (if Diskette testkit install) in order    '
  say ' to copy required files to the OS2 boot drive and update the      '
  say ' CONFIG.SYS, AUTOEXEC.BAT, and STARTUP.CMD for PCM Testcases.     '
  say '                                                                  '
  say ' Then shutdown and reboot the system for PCM Testcase execution.  '
  say 'ͼ[0;40;37m'
  exit

RBOOTPROB:
  say '[1;09;41mͻ'
  say ' *** CONFIG.SYS WAS SETUP CORRECTLY, BUT SYSTEM WAS NOT *** '
  say '     REBOOTED PRIOR TO ATTEMPTING TESTCASE EXECUTION.       '
  say '                                                            '
  say ' SHUTDOWN and REBOOT the system to activate the changes in  '
  say ' config.sys for PCM Testcase execution.                     '
  say 'ͼ[0;40;37m'
  say ''
  exit

INFO_PLEASE:
say '[1;26;45m  ͻ  '
say '   FVT_W525.CMD - Run FVT Section 3 Testcases with 5.25" Diskette     '
say '                                                                      '
say '   Parameters: R_____   OS/2 Release Level - OPTIONAL                 '
say '                                                                      '
say '   REQUIRES DISKETTE IN DRIVE A:  Verify write-protect is OFF         '
say '                                  Diskette will be formatted.         '
say '                                                                      '
say '   Runs VIO, TST_144, FVTDISK, TIMERDD, PRINTDD                       '
say '                                                                      '
say '   Uses OS/2 environment variables to determine testcase drive.       '
say '  ͼ  [0;40;37m'
exit
