/************************************************************/
/* CLEARLAN.CMD - Clears LAN Testcase logfiless from system */
/************************************************************/
arg  inparm .

/**************************************************************************/
/* USE OS2 ENVIRONMENT VARIABLE COMSPEC= TO FIND OS/2 BOOT DRIVE.         */
/**************************************************************************/
cmspec = value('COMSPEC',,'OS2ENVIRONMENT');
os2drv = left(cmspec,1)||':'

if inparm = '?' then signal HELP

CALL RxFuncAdd 'SysSleep', 'RexxUtil', 'SysSleep'
CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
CALL RxFuncAdd 'SysFileSearch','RexxUtil','SysFileSearch'
CALL SysLoadFuncs

/***************** determine NETBIOS name **local system*************/
CALL SysFileSearch 'Computername',os2drv'\ibmlan\ibmlan.ini','file.'
localname = strip(subword(file.1,3,1))

/********** define the local directory for LAN logfiles **********/
logdir = os2drv'\'||substr(localname,5,3)'logs'

say 'Ŀ'
say ' This command file will ERASE ALL PCM LAN TESTCASE LOG FILES.'
say '                                                             '
say ' IF YOU HAVE NOT ALREADY CREATED THE RESULTS DISKETTE, THEN  '
say ' YOU SHOULD STOP NOW.  ONLY CONTINUE AFTER YOU HAVE CREATED  '
say ' THE RESULTS DISKETTE FOR SUBMISSION.                        '
say '                                                             '
say ' If you have created your results diskette and wish to clear '
say ' all PCM LAN testcase log files so that you can re-run the   '
say ' full PCM Testkit LAN testcases, then continue this routine. '
say '                                                             '
say ' This routine should be used when you have re-configured a   '
say ' test system by adding adapters, upgrading the CPU or BIOS   '
say ' or after you have made any changes to hardware as a result  '
say ' of testcase failures and you wish to re-test the modified   '
say ' system.                                                     '
say '                                                             '
say ' PRESS ENTER TO CONTINUE -- OR CTRL-BREAK TO STOP NOW......  '
say ''
say 'Local System name is: 'localname' - LAN Testcase Logdir is: 'logdir
pause

'erase 'logdir'\*  <yes.in  >NUL'

'cd \itlutil'

'copy itldump.org  itldump.txt  >NUL'
'copy itlpsns.org  itlpsns.txt  >NUL'
'copy itlpsf00.org itlpsf00.txt >NUL'
'cd \'

EXIT

HELP:
say 'Ŀ'
say ' CLEARLAN.CMD - Clears LAN testcase logfiles from local '
say '                directory in PCM LAN test environment.  '
say '                                                        '
say ' Note: To clear all systems, this command needs to be   '
say '       run on each system.                              '
say ''
exit
