

Advanced Power Management (APM) Test

The following set of APM test steps describes a brief test of the APM
functions installled on a system with the OS/2 Operating System.


  1. Make sure the battery is fully charged.

  2. Set hardware timers for screen blanking to 3-5 minutes and suspend
     timer to 15min or more.

  3. Verify the following are present in CONFIG.SYS
       Ver 3.0                          Ver 4.0
       DEVICE=C:\OS2\APM.SYS            DEVICE=C:\OS2\BOOT\APM.SYS
       DEVICE=C:\OS2\MDOS\VAPM.SYS      DEVICE=C:\OS2\MDOS\VAPM.SYS

  4. Verify that Power Object is in System Setup folder.

  5. Open an OS/2 window session, then start D:\CMD\DRAIN.CMD

  6. Open the OS/2 System Setup folder and double click on the Power Object.

  7. Verify that the system shows "AC Powered" and "Battery State High"

  8. Unplug A/C Charger.

  9. Click on system menu for Power Object and select "Refresh Now".

 10. Verify that system shows "Battery Powered" and "Battery State High".

 11. Allow the system time to enter standby mode (screen blanks).

 12. Touch key(s) to bring system out of standby mode, and verify that
     drain.cmd is still running (let it run a couple minutes).

 13. Click on system menu for Power Object and select "Suspend", answer
     "Yes" on pop-up menu to continue suspend operation.

 14. Touch key(s) to bring system out of suspend mode, verify that the
     desktop is ok, and that the drain.cmd continues running.

 15. Click on system menu for Power Object and select "Refresh" to bring
     up the sub-menu, and select "On" to setup automatic refresh.

 16. Open Power Object settings/properties, on the View Tab, set refresh
     on, and refresh rate to 1-2 minutes.

 17. Let the system run for 30 minutes, verify that the battery life bar
     shows an indication of battery drain.

 18. Plug in A/C charger, wait for automatic refresh to occur (1-2 minutes)
     and verify that Power Object now shows "AC powered".

 19. Stop drain.cmd in OS/2 window with CTRL-BREAK.

 20. Let battery charge for 30 minutes or more.

 21. Verify that Power Object battery life indicates increased charge.

 22. Close Power Object.
