/* ------------------------------------------------------------------------- */
/* LANDSKT.CMD - Create Diskette for PCM Version 4.6 LAN Testcase Install    */
/*               from PCM V4.6 CDROM or LAN image of PCM V4.6 CDROM.         */
/*                                                                           */
/* Parameters: NONE -                                                        */
/*                                                                           */
/* ------------------------------------------------------------------------- */
'@echo off'
arg parm.1 comments
'cls'
if left(parm.1,1) = '?' then signal INFO_PLEASE

call rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

say ' '
say 'Ŀ'
say ' This command will create a PCM V4.6 LAN Testing Diskette. '
say '                                                           '
say '            Insert a blank diskette in drive a:            '
say '                                                           '
say '               (diskette will be formatted)                '
say '                                                           '
say '  Press ENTER to continue, or CTRL-BREAK to end routine.   '
say ''
pause

'format a: <FMTREPLY'

'md a:\lan_inst'
'md a:\lannet'
'md a:\lancmd'
'md a:\cube'

'copy  INSTALL.CMD       a:\lan_inst'
'copy  ACLIRSLT.CMD      a:\lan_inst'
'copy  ASVRRSLT.CMD      a:\lan_inst'
'copy  CHEKRSLT.CMD      a:\lan_inst'
'copy  CLEARLAN.CMD      a:\lan_inst'
'copy  FORTEXT           a:\lan_inst'
'copy  GREP.EXE          a:\lan_inst'
'copy  HKDD.SYS          a:\lan_inst'
'copy  LANRBOOT.CMD      a:\lan_inst'
'copy  LANSETUP.CMD      a:\lan_inst'
'copy  LANTEST.EXE       a:\lan_inst'
'copy  LANTEST.ICO       a:\lan_inst'
'copy  PCLIRSLT.CMD      a:\lan_inst'
'copy  PCMBLDOB.CMD      a:\lan_inst'
'copy  PCMDOC.ICO        a:\lan_inst'
'copy  PCMDOC.INF        a:\lan_inst'
'copy  PCMHDW.EXE        a:\lan_inst'
'copy  PCMHDW.ICO        a:\lan_inst'
'copy  PCMKIT_F.ICO      a:\lan_inst'
'copy  PCMRSLTS.EXE      a:\lan_inst'
'copy  PCMRSLTS.ICO      a:\lan_inst'
'copy  PREPRSLT.CMD      a:\lan_inst'
'copy  PSVRRSLT.CMD      a:\lan_inst'
'copy  REMVKIT.CMD       a:\lan_inst'
'copy  SWBOOT.EXE        a:\lan_inst'
'copy  YES.IN            a:\lan_inst'
'copy  ZAP.EXE           a:\lan_inst'

'xcopy ..\lannet\*       a:\lannet  /v'
'xcopy ..\lancmd\*       a:\lancmd  /v'
'xcopy ..\cube\*         a:\cube    /v'

/* ------------------------------------------------------------------------ */
/* join the EA data for .ICO files copied from CDROM or LAN image to dskt.  */
/* ------------------------------------------------------------------------ */
'eautil a:\lan_inst\pcmkit_f.ico  eas\pcmkit_f.ico /J /P >NUL'
'eautil a:\lan_inst\pcmdoc.ico    eas\pcmdoc.ico   /J /P >NUL'
'eautil a:\lan_inst\pcmhdw.ico    eas\pcmhdw.ico   /J /P >NUL'
'eautil a:\lan_inst\pcmrslts.ico  eas\pcmrslts.ico /J /P >NUL'
'eautil a:\lan_inst\lantest.ico   eas\lantest.ico  /J /P >NUL'

call SysSleep 5;

say 'Ŀ'
say ' Remove the Diskette in Drive A: and label it as follows: '
say '                                                          '
say '                PCM Compatibility Testkit                 '
say '                       Version 4.6                        '
say '                   LAN TESTING DISKETTE                   '
say '                                                          '
say ''
pause

exit
/* ------------------------------------------------------------------------ */
INFO_PLEASE:
say ''
say 'ͻ';
say ' LANDSKT.CMD - Create a PCM V4.6 LAN Test Installation Diskette   ';
say '               from PCM V4.6 CDROM or LAN image of PCM V41. CDROM ';
say '                                                                  ';
say ' Parameters: NONE                                                 ';
say '                                                                  ';
say ' This command must be run from the \LAN_INST directory on the     ';
say ' PCM V4.6 CDROM or LAN image of the PCM V4.6 CDROM.               ';
say 'ͼ';
exit
